Subject: RE: [seamoby] proactive and reactive CT definitions

From: "Gary Kenward" <[email-masked]>
Date: Fri, 22 Jun 2001 15:38:50 -0400

Pat:
 
  The debate has been centered so much around the definition of reactive, 
I missed the change in proactive. I agree with Charlie, in no way should 
proactive ct be required to end at some particular event. We have a
requirement
that ct should not delay handover. It is unrealistic to believe that ct will

*never* delay handover and attempting too set a termination limit is just as
unrealistic.

Gary 

> -----Original Message-----
> From: Charlie Perkins [mailto:[email-masked]]
> Sent: Friday, June 22, 2001 12:38 AM
> To: Pat Calhoun
> Cc: [email-masked]
> Subject: Re: [seamoby] proactive and reactive CT definitions
> 
> 
> 
> Hello Pat,
> 
> > > So, here is the proposal for revised definitions:
> > >
> > > Reactive CT: The context transfer process which takes 
> place subsequent to the MN
> > > establishing a new link with the new AR.
> > >
> > > Proactive CT: The context transfer process in which the 
> contexts are present at
> > > the new AR prior to the arrival of MN's packets at the new AR.
> 
> I would suggest that for Proactive context transfer, we 
> should allow for the
> possibility that some of the context may still be in transit 
> when packets begin
> to arrive for the mobile node at the new access router.
> 
> One other characteristic is that reactive is a "context pull" 
> operation,
> and proactive is a "context push" operation.  They could still both
> use the same protocol message to deliver the context, though.
> In other words, as I understand "proactive", the previous access
> router predictively sends the context to a new access router
> (selected by some unspecified means, presumably initiated by
> some radio network controller).  Reactive transfer, on the other
> hand, would typically be initiated by the new access router
> sending a request for context transfer to the previous access
> router.  In many systems that reactive request might actually
> be triggered by a message from the mobile node, but the
> actual context transfer request would more likely seem to have
> emanated from the new access router.
> 
> Regards,
> Charlie P.
> 
> 
>

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 22 Jun 2001 13:51:03 -0700

> *never* delay handover and attempting too set a termination limit is just as

so you are in agreement with the whole change, or just portions of?

PatC